<html>
<head>
<title>OGRE: OgrePrerequisites.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgrePrerequisites.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreMemoryManager_8h-source.html">OgreMemoryManager.h</a>&quot;</code><br>

<p>
<a href="OgrePrerequisites_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#7421389cf556413d74682c7e8edf9220">OGRE_FORCE_ANGLE_TYPES</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#e5b524dcaad06fe829b6a1952cc6f7cf">OGRE_VERSION_MAJOR</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#151f60246acece3e651a8f1d0999f85b">OGRE_VERSION_MINOR</a>&nbsp;&nbsp;&nbsp;4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#144780d2bcdd852d2ff7a7a450c7856d">OGRE_VERSION_PATCH</a>&nbsp;&nbsp;&nbsp;9</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#bce1e968a0f7309c73a8a2d7a19544e2">OGRE_VERSION_SUFFIX</a>&nbsp;&nbsp;&nbsp;&quot;&quot;</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#4a5177c0cfa26a662edfe3e311935fdf">OGRE_VERSION_NAME</a>&nbsp;&nbsp;&nbsp;&quot;Eihort&quot;</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#3f631403da0a255c201870bfd068f8c5">OGRE_VERSION</a>&nbsp;&nbsp;&nbsp;((OGRE_VERSION_MAJOR &lt;&lt; 16) | (OGRE_VERSION_MINOR &lt;&lt; 8) | OGRE_VERSION_PATCH)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a3cf5d1d0401f71e90c8684179eb9bf2">HashMap</a>&nbsp;&nbsp;&nbsp;::std::hash_map</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#d0131329b1343dd9a058b14e3f44aac9">OGRE_DELETE</a>(p)&nbsp;&nbsp;&nbsp;{ if(p) { delete (p);     (p)=NULL; } }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Useful macros.  <a href="#d0131329b1343dd9a058b14e3f44aac9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#d613054ae26b7fa1a7b90816c3048192">OGRE_DELETE_ARRAY</a>(p)&nbsp;&nbsp;&nbsp;{ if(p) { delete[] (p);   (p)=NULL; } }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#b5230fc97085f9d074db2e47a4fd93d4">OGRE_AUTO_MUTEX_NAME</a>&nbsp;&nbsp;&nbsp;mutex</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#ce4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#2fb96ea8ad9700f804480d1d7f5d692d">OGRE_MUTEX</a>(name)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#c853de57688aefaec88f75cd9e0ac388">OGRE_STATIC_MUTEX</a>(name)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#042f108091bba675307acb915a71bfa9">OGRE_STATIC_MUTEX_INSTANCE</a>(name)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>(name)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#39e611f7baf80408d740fce6a2502414">OGRE_LOCK_MUTEX_NAMED</a>(mutexName, lockName)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#b0e8c6d123555d7447c38185a1b9105e">OGRE_AUTO_SHARED_MUTEX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#062b6df8793a5440c06a9056ff1c8fe9">OGRE_LOCK_AUTO_SHARED_MUTEX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#9ea1b6f845efd15c581b914ac84b93a3">OGRE_NEW_AUTO_SHARED_MUTEX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#8b873e0e48fc343f9553e1dc526ff6f3">OGRE_DELETE_AUTO_SHARED_MUTEX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#cf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>(from)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#053475f75a35e320fa019cf083ba8918">OGRE_SET_AUTO_SHARED_MUTEX_NULL</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>(name)&nbsp;&nbsp;&nbsp;if(true)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#792b8674a3579bf049e399dbfecf9f8b">OGRE_THREAD_SYNCHRONISER</a>(sync)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#d5c607c0bb02c1a7c9f124768eade0bf">OGRE_THREAD_WAIT</a>(sync, lock)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#f95a22a8a787bbf4956772d36a0ccab5">OGRE_THREAD_NOTIFY_ONE</a>(sync)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#15a4eee729a2c973782b3d65262b6c33">OGRE_THREAD_NOTIFY_ALL</a>(sync)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#7bbad1426a73ac69e63279b16e0f8ac4">OGRE_THREAD_POINTER</a>(T, var)&nbsp;&nbsp;&nbsp;T* var</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#b2cf92160e83b716119c42240aad670f">OGRE_THREAD_POINTER_SET</a>(var, expr)&nbsp;&nbsp;&nbsp;var = expr</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#9501d2980e624057c7701c0b3b539c3c">OGRE_THREAD_POINTER_DELETE</a>(var)&nbsp;&nbsp;&nbsp;delete var; var = 0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#5a4c5f6a9667046f955529291276f3dd">OGRE_THREAD_POINTER_GET</a>(var)&nbsp;&nbsp;&nbsp;var</td></tr>

<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Ogre::Real</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Software floating point type.  <a href="#a3a7b6dfb905e6572d62f0dfa3d4274d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef unsigned char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">Ogre::uchar</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">In order to avoid finger-aches :).  <a href="#07f1f7c1d84d58c9beae02e1ebb945e4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">Ogre::ushort</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">Ogre::uint</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">Ogre::ulong</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#6190e7c0a19190277aeadf25f536ac8c">Ogre::_StringBase</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef _StringBase&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a></td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="a3cf5d1d0401f71e90c8684179eb9bf2"></a><!-- doxytag: member="OgrePrerequisites.h::HashMap" ref="a3cf5d1d0401f71e90c8684179eb9bf2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HashMap&nbsp;&nbsp;&nbsp;::std::hash_map          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00123">123</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="18a523fad1f9e10324e1742865f562b7"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_AUTO_MUTEX" ref="18a523fad1f9e10324e1742865f562b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_AUTO_MUTEX          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00174">174</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b5230fc97085f9d074db2e47a4fd93d4"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_AUTO_MUTEX_NAME" ref="b5230fc97085f9d074db2e47a4fd93d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_AUTO_MUTEX_NAME&nbsp;&nbsp;&nbsp;mutex          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00147">147</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00165">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::release()</a>, and <a class="el" href="OgreSharedPtr_8h-source.html#l00202">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::swap()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b0e8c6d123555d7447c38185a1b9105e"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_AUTO_SHARED_MUTEX" ref="b0e8c6d123555d7447c38185a1b9105e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_AUTO_SHARED_MUTEX          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00181">181</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cf02af48b9d015cd2f0c10e22466c73a"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_COPY_AUTO_SHARED_MUTEX" ref="cf02af48b9d015cd2f0c10e22466c73a" args="(from)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_COPY_AUTO_SHARED_MUTEX          </td>
          <td>(</td>
          <td class="paramtype">from&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00185">185</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositor_8h-source.html#l00134">Ogre::CompositorPtr::CompositorPtr()</a>, <a class="el" href="OgreFont_8h-source.html#l00387">Ogre::FontPtr::FontPtr()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01585">Ogre::GpuProgramPtr::GpuProgramPtr()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00138">Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00634">Ogre::MaterialPtr::MaterialPtr()</a>, <a class="el" href="OgreTexture_8h-source.html#l00387">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00476">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00102">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00651">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00155">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01602">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreFont_8h-source.html#l00404">Ogre::FontPtr::operator=()</a>, <a class="el" href="OgreCompositor_8h-source.html#l00151">Ogre::CompositorPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00085">Ogre::PatchMeshPtr::PatchMeshPtr()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00065">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00459">Ogre::SkeletonPtr::SkeletonPtr()</a>, and <a class="el" href="OgreTexture_8h-source.html#l00370">Ogre::TexturePtr::TexturePtr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d0131329b1343dd9a058b14e3f44aac9"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_DELETE" ref="d0131329b1343dd9a058b14e3f44aac9" args="(p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_DELETE          </td>
          <td>(</td>
          <td class="paramtype">p&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;{ if(p) { delete (p);     (p)=NULL; } }</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Useful macros. 
<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00135">135</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d613054ae26b7fa1a7b90816c3048192"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_DELETE_ARRAY" ref="d613054ae26b7fa1a7b90816c3048192" args="(p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_DELETE_ARRAY          </td>
          <td>(</td>
          <td class="paramtype">p&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;{ if(p) { delete[] (p);   (p)=NULL; } }</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00136">136</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8b873e0e48fc343f9553e1dc526ff6f3"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_DELETE_AUTO_SHARED_MUTEX" ref="8b873e0e48fc343f9553e1dc526ff6f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_DELETE_AUTO_SHARED_MUTEX          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00184">184</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00191">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::destroy()</a>.</p>

</div>
</div><p>
<a class="anchor" name="7421389cf556413d74682c7e8edf9220"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_FORCE_ANGLE_TYPES" ref="7421389cf556413d74682c7e8edf9220" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_FORCE_ANGLE_TYPES          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00029">29</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ce4a3180018d84c5295b17251233abfb"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_LOCK_AUTO_MUTEX" ref="ce4a3180018d84c5295b17251233abfb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_LOCK_AUTO_MUTEX          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00175">175</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="062b6df8793a5440c06a9056ff1c8fe9"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_LOCK_AUTO_SHARED_MUTEX" ref="062b6df8793a5440c06a9056ff1c8fe9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_LOCK_AUTO_SHARED_MUTEX          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00182">182</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00137">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::bind()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00165">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::release()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00145">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::unique()</a>, and <a class="el" href="OgreSharedPtr_8h-source.html#l00146">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::useCount()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8a4683cdaf73994ea7ec391c1ba82b60"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_LOCK_MUTEX" ref="8a4683cdaf73994ea7ec391c1ba82b60" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_LOCK_MUTEX          </td>
          <td>(</td>
          <td class="paramtype">name&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00179">179</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositor_8h-source.html#l00134">Ogre::CompositorPtr::CompositorPtr()</a>, <a class="el" href="OgreFont_8h-source.html#l00387">Ogre::FontPtr::FontPtr()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01585">Ogre::GpuProgramPtr::GpuProgramPtr()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00138">Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00634">Ogre::MaterialPtr::MaterialPtr()</a>, <a class="el" href="OgreTexture_8h-source.html#l00387">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00476">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00102">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00651">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00155">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01602">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreFont_8h-source.html#l00404">Ogre::FontPtr::operator=()</a>, <a class="el" href="OgreCompositor_8h-source.html#l00151">Ogre::CompositorPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00085">Ogre::PatchMeshPtr::PatchMeshPtr()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00065">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00459">Ogre::SkeletonPtr::SkeletonPtr()</a>, and <a class="el" href="OgreTexture_8h-source.html#l00370">Ogre::TexturePtr::TexturePtr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="39e611f7baf80408d740fce6a2502414"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_LOCK_MUTEX_NAMED" ref="39e611f7baf80408d740fce6a2502414" args="(mutexName, lockName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_LOCK_MUTEX_NAMED          </td>
          <td>(</td>
          <td class="paramtype">mutexName,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">lockName&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00180">180</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2fb96ea8ad9700f804480d1d7f5d692d"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_MUTEX" ref="2fb96ea8ad9700f804480d1d7f5d692d" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_MUTEX          </td>
          <td>(</td>
          <td class="paramtype">name&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00176">176</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2201eef4cf31a94b24d79de6de3445af"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_MUTEX_CONDITIONAL" ref="2201eef4cf31a94b24d79de6de3445af" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_MUTEX_CONDITIONAL          </td>
          <td>(</td>
          <td class="paramtype">name&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;if(true)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00187">187</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositor_8h-source.html#l00134">Ogre::CompositorPtr::CompositorPtr()</a>, <a class="el" href="OgreFont_8h-source.html#l00387">Ogre::FontPtr::FontPtr()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01585">Ogre::GpuProgramPtr::GpuProgramPtr()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00138">Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00634">Ogre::MaterialPtr::MaterialPtr()</a>, <a class="el" href="OgreTexture_8h-source.html#l00387">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00476">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00102">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00651">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00155">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01602">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreFont_8h-source.html#l00404">Ogre::FontPtr::operator=()</a>, <a class="el" href="OgreCompositor_8h-source.html#l00151">Ogre::CompositorPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00085">Ogre::PatchMeshPtr::PatchMeshPtr()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00165">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::release()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00065">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00459">Ogre::SkeletonPtr::SkeletonPtr()</a>, and <a class="el" href="OgreTexture_8h-source.html#l00370">Ogre::TexturePtr::TexturePtr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="9ea1b6f845efd15c581b914ac84b93a3"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_NEW_AUTO_SHARED_MUTEX" ref="9ea1b6f845efd15c581b914ac84b93a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_NEW_AUTO_SHARED_MUTEX          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00183">183</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00137">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::bind()</a>, and <a class="el" href="OgreSharedPtr_8h-source.html#l00060">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="053475f75a35e320fa019cf083ba8918"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_SET_AUTO_SHARED_MUTEX_NULL" ref="053475f75a35e320fa019cf083ba8918" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_SET_AUTO_SHARED_MUTEX_NULL          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00186">186</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00165">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::release()</a>, and <a class="el" href="OgreSharedPtr_8h-source.html#l00054">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c853de57688aefaec88f75cd9e0ac388"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_STATIC_MUTEX" ref="c853de57688aefaec88f75cd9e0ac388" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_STATIC_MUTEX          </td>
          <td>(</td>
          <td class="paramtype">name&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00177">177</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="042f108091bba675307acb915a71bfa9"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_STATIC_MUTEX_INSTANCE" ref="042f108091bba675307acb915a71bfa9" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_STATIC_MUTEX_INSTANCE          </td>
          <td>(</td>
          <td class="paramtype">name&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00178">178</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="15a4eee729a2c973782b3d65262b6c33"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_THREAD_NOTIFY_ALL" ref="15a4eee729a2c973782b3d65262b6c33" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_NOTIFY_ALL          </td>
          <td>(</td>
          <td class="paramtype">sync&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00191">191</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f95a22a8a787bbf4956772d36a0ccab5"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_THREAD_NOTIFY_ONE" ref="f95a22a8a787bbf4956772d36a0ccab5" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_NOTIFY_ONE          </td>
          <td>(</td>
          <td class="paramtype">sync&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00190">190</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7bbad1426a73ac69e63279b16e0f8ac4"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_THREAD_POINTER" ref="7bbad1426a73ac69e63279b16e0f8ac4" args="(T, var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_POINTER          </td>
          <td>(</td>
          <td class="paramtype">T,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">var&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;T* var</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00192">192</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9501d2980e624057c7701c0b3b539c3c"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_THREAD_POINTER_DELETE" ref="9501d2980e624057c7701c0b3b539c3c" args="(var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_POINTER_DELETE          </td>
          <td>(</td>
          <td class="paramtype">var&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;delete var; var = 0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00194">194</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5a4c5f6a9667046f955529291276f3dd"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_THREAD_POINTER_GET" ref="5a4c5f6a9667046f955529291276f3dd" args="(var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_POINTER_GET          </td>
          <td>(</td>
          <td class="paramtype">var&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;var</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00195">195</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b2cf92160e83b716119c42240aad670f"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_THREAD_POINTER_SET" ref="b2cf92160e83b716119c42240aad670f" args="(var, expr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_POINTER_SET          </td>
          <td>(</td>
          <td class="paramtype">var,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">expr&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;var = expr</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00193">193</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="792b8674a3579bf049e399dbfecf9f8b"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_THREAD_SYNCHRONISER" ref="792b8674a3579bf049e399dbfecf9f8b" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_SYNCHRONISER          </td>
          <td>(</td>
          <td class="paramtype">sync&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00188">188</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d5c607c0bb02c1a7c9f124768eade0bf"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_THREAD_WAIT" ref="d5c607c0bb02c1a7c9f124768eade0bf" args="(sync, lock)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_WAIT          </td>
          <td>(</td>
          <td class="paramtype">sync,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">lock&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00189">189</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3f631403da0a255c201870bfd068f8c5"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION" ref="3f631403da0a255c201870bfd068f8c5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_VERSION&nbsp;&nbsp;&nbsp;((OGRE_VERSION_MAJOR &lt;&lt; 16) | (OGRE_VERSION_MINOR &lt;&lt; 8) | OGRE_VERSION_PATCH)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00097">97</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e5b524dcaad06fe829b6a1952cc6f7cf"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_MAJOR" ref="e5b524dcaad06fe829b6a1952cc6f7cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_VERSION_MAJOR&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00091">91</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="151f60246acece3e651a8f1d0999f85b"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_MINOR" ref="151f60246acece3e651a8f1d0999f85b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_VERSION_MINOR&nbsp;&nbsp;&nbsp;4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00092">92</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a5177c0cfa26a662edfe3e311935fdf"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_NAME" ref="4a5177c0cfa26a662edfe3e311935fdf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_VERSION_NAME&nbsp;&nbsp;&nbsp;&quot;Eihort&quot;          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00095">95</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="144780d2bcdd852d2ff7a7a450c7856d"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_PATCH" ref="144780d2bcdd852d2ff7a7a450c7856d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_VERSION_PATCH&nbsp;&nbsp;&nbsp;9          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00093">93</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bce1e968a0f7309c73a8a2d7a19544e2"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_SUFFIX" ref="bce1e968a0f7309c73a8a2d7a19544e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_VERSION_SUFFIX&nbsp;&nbsp;&nbsp;&quot;&quot;          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePrerequisites_8h-source.html#l00094">94</a> of file <a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
